package org.isakiev.fileManager.entities;

import java.io.File;

import org.isakiev.fileManager.entityTypes.IEntityType;

class ArchiveEntity extends DirEntity implements IFileEntity {
	
	
	public ArchiveEntity(File file, IEntity parent, IEntityType type) {
		super(file, parent, type);
	}
	
	/**
	 * Returns <code>true</code> if entity is an archive
	 * @return <code>true</code> if entity is an archive
	 */
	public boolean isArchiveEntity() {
		return true;
	}
	
	/**
	 * Checks if the Entity is FileEntity
	 * @return check result 
	 */
	public boolean isFileEntity() {
		return true;
	}
	
	/**
	 * Checks if the Entity is DirEntity
	 * @return check result
	 */
	public boolean isDirEntity() {
		return false;
	}

}
