package org.isakiev.fileManager.entities;

import java.io.File;

import org.isakiev.fileManager.entityTypes.IEntityType;

/**
 * The class represents disk of the file system.
 * @author Isakiev Ruslan.
 */
class DiskEntity extends DirEntity implements IDiskEntity{
	
	/**
	 * Main constructor
	 * @param file file or directory pathname
	 * @param parent parent in the tree
	 */
	public DiskEntity(File file, IEntity parent, IEntityType type) {
		super(file, parent, type);
	}
	
	/**
	 * Returns short entity name. It displayed in viewers.
	 * @return short entity name
	 */
	public String getShortName() {
		return getFile().getAbsolutePath();
	}
	
	/**
	 * Checks if the Entity is DirEntity
	 * @return check result
	 */
	public boolean isDirEntity() {
		return false;
	}
	
	/**
	 * Checks if the Entity is DiskEntity
	 * @return check result
	 */
	public boolean isDiskEntity() {
		return true;
	}

}