package org.isakiev.fileManager.entities;

import java.util.zip.ZipEntry;

/**
 * Represents compressed entity, i.e. entity in archive.
 * <code>getFile</code> returns for this entity an archive name.
 * @author Isakiev Ruslan
 *
 */
public interface ICompressedEntity extends IEntity {
	
	/**
	 * Returns path to this entity in archive.
	 * @return path to this entity in archive
	 */
	public ZipEntry getZipEntry();
}
