package org.isakiev.fileManager.entities;

import java.util.List;
import java.util.ArrayList;

/**
 * The interface reperesents directory.
 * @author Isakiev Ruslan
 */
public interface IDirEntity extends IEntity{
	
	/**
	 * Checks whether the directory was explored
	 * @return result of the check
	 */
	public boolean isExplored();
	
	/**
	 * Sets new list of the children for current entity.
	 * @param children new list of the children.
	 */
	public void setChildren(ArrayList<? extends IEntity> children);
	
	/**
	 * Returns an array of the current entity's children.
	 * @return an array of the current entity's children.
	 */
	public List<IEntity> getChildren();

}
