package org.isakiev.fileManager.entityTypes;

import javax.swing.JButton;
import javax.swing.JComponent;
import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;

import org.isakiev.fileManager.entities.IEntity;

/**
 * This is a viewer for executable files.
 * @author Ruslan
 */
class ExecutableFileViewer extends JComponent 
						implements IEntityViewer, ActionListener {

	private static ExecutableFileViewer myInstance = null;
	private IEntity myEntity;
	
	/**
	 * Creates panel with "execute" button, which runs specified entity.
	 * @param entity entity to run when button pressed.
	 */
	private ExecutableFileViewer(IEntity entity) {
		super();
		myEntity = entity;
		JButton button = new JButton("Execute");
		button.setSize(100,30);
		button.addActionListener(this);
		add(button);
	}
	
	/**
	 * Gets viewer instance.
	 * @return viewer instance
	 */
	public static ExecutableFileViewer getInstance() {
		if (myInstance == null) {
			myInstance = new ExecutableFileViewer(null);
		}
		return myInstance;
	}
	
	public JComponent getViewerComponent(IEntity entity) {
		return new ExecutableFileViewer(entity);
	}
	
	public void actionPerformed(ActionEvent e) {
		if (myEntity != null) {
			try {
				Process p = Runtime.getRuntime().exec(myEntity.getFile().getAbsolutePath());
			} catch (java.io.IOException ioe) {}
		}
	}

}
