package org.isakiev.fileManager.entityTypes;

import java.io.File;

import javax.swing.Icon;
import javax.swing.ImageIcon;
import javax.swing.JPanel;

import org.isakiev.fileManager.contentViewers.SupportedViewerStyles;
import org.isakiev.fileManager.entities.IEntity;
import org.isakiev.fileManager.entities.IFileEntity;
import org.isakiev.fileManager.utils.Tools;

/**
 * The class represents text file.
 * @author Isakiev Ruslan
 */
class TextType extends AbstractType {
	
	private Icon myIcon;
	
	public TextType() {
		myIcon = Tools.getTools().loadIcon("/resources/icon_txt.gif");
	}

	public int getPriority() {
		return 10;
	}
	
	public String getName() {
		return "text";
	}

	public String getDescription() {
		return "text";
	}
	
	public boolean checkFile(FileInfo info) {
		String name = info.getFile().getName().toLowerCase();
		return name.endsWith(".txt") || name.endsWith(".inf");
	}

	public Icon getIcon() {
		return myIcon;
	}
	
	private static final JPanel EMPTY_PANEL = new JPanel();
	public JPanel getViewer(IEntity entity, SupportedViewerStyles style) {
		return EMPTY_PANEL;
	}

}
