package org.isakiev.fileManager.entityTypes;

import java.awt.event.ActionEvent;

import javax.swing.*;

import org.isakiev.fileManager.contentViewers.SupportedViewerStyles;
import org.isakiev.fileManager.entities.IEntity;
import org.isakiev.fileManager.entities.IFileEntity;
import org.isakiev.fileManager.utils.Tools;



class UnknownType extends AbstractType {

	private Icon myIcon;
	
	public UnknownType() {
		myIcon = Tools.getTools().loadIcon("/resources/icon_unknown.gif");
	}
	
	public String getName() {
		return "unknown";
	}

	public int getPriority() {
		//this file type has to be the last
		return Integer.MAX_VALUE;
	}

	public String getDescription() {
		return "unknown file format";
	}
	
	public boolean checkFile(FileInfo info) {
		return true;
	}

	public Icon getIcon() {
		return myIcon;
	}
	
	private static final JPanel EMPTY_PANEL = new JPanel();
	public JPanel getViewer(IEntity entity, SupportedViewerStyles style) {
		return EMPTY_PANEL;
	}

}
