package org.isakiev.fileManager.tests;

import java.io.File;
import java.io.IOException;
import java.util.logging.*;

import org.isakiev.fileManager.utils.HTMLFormatter;

import junit.framework.Test;
import junit.framework.TestSuite;
import junit.swingui.TestRunner;

public class AllTests {

	public static Test suite() {
		initializeLogger();
		TestSuite suite = new TestSuite("Tests for file manager");
		//$JUnit-BEGIN$
		suite.addTestSuite(TestEntities.class);
		suite.addTestSuite(TestModel.class);
		suite.addTestSuite(TestContentManager.class);
		suite.addTestSuite(TestEntityTypes.class);
		suite.addTestSuite(TestArchives.class);
		suite.addTestSuite(TestOperations.class);
		//$JUnit-END$
		return suite;
	}
	
	private static void initializeLogger() {
		
		Logger logger = Logger.getLogger("org.isakiev.fileManager");
		logger.setUseParentHandlers(false);
		logger.setLevel(Level.ALL);
		try {
			FileHandler htmlLogHandler = new FileHandler("TestsLog.html");
			htmlLogHandler.setFormatter(new HTMLFormatter("JUnit tests"));
			logger.addHandler(htmlLogHandler);
		} catch (IOException e) {};	
	}
	
	public static void main(String[] args) {
		TestRunner.run(AllTests.class);
	}

}
