package org.isakiev.fileManager.tests;

import java.io.File;
import java.util.ArrayList;

import org.isakiev.fileManager.contentManagers.IContentManager;
import org.isakiev.fileManager.entities.*;
import org.isakiev.fileManager.entityTypes.EntityTypeContainer;

/**
 * This content manager represents file system with only one root dir with name "\".
 * @author Isakiev Ruslan
 */
public class ContentManagerLinuxStyle extends ContentManagerAdapter {
	
	public IDirEntity getRoot() {
		IDirEntity result = EntityFactory.createGlobalRootDirEntity();
		ArrayList<IEntity> children = new ArrayList<IEntity>();
		
		children.add(EntityFactory.createDirEntity(new MyFile("/"), result, EntityTypeContainer.getInstance().getDirectoryType()));
		result.setChildren(children);
		return result;
	}
	
	public void exploreDir(IDirEntity dir) {
		ArrayList<IEntity> children = new ArrayList<IEntity>(3);
		children.add(0,EntityFactory.createDirEntity(new MyFile(dir.getFile(),"first"), dir, EntityTypeContainer.getInstance().getDirectoryType()));
		children.add(1,EntityFactory.createDirEntity(new MyFile(dir.getFile(),"second"), dir, EntityTypeContainer.getInstance().getDirectoryType()));
		children.add(2,EntityFactory.createFileEntity(new MyFile(dir.getFile(),"file.file"), dir, EntityTypeContainer.getInstance().getCompressedFileType()));
		dir.setChildren(children);
	}
	
}
