package org.isakiev.fileManager.tests;
import java.io.*;

public class ExamplesCreator {

	/**
	 * Creates examples of files with mp3 & tiff headers
	 * @param args unimportant
	 */
	public static void main(String[] args) {
		File dir = new File("examples");
		dir.mkdir();
		createFile("examples/tiff_firstbytes1", 0x49, 0x49, 0x2A, 0x00);
		createFile("examples/tiff_firstbytes2", 0x4D, 0x4D, 0x00, 0x2A);
		createFile("examples/mp3_firstbytes1", 0x49, 0x44, 0x33);
		createFile("examples/mp3_firstbytes2", 0xFF, 0xFB);
	}

	public static void createFile(String name, Integer... bytes) {
		FileOutputStream fos = null;
		try {
			fos = new FileOutputStream(new File(name));
			for (int i=0; i<bytes.length; i++) {
				fos.write(bytes[i].byteValue());
			}
		} catch (IOException ioe) {
			//Ignore
		} finally {
			if (fos != null) {
				try { 
					fos.close(); 
				}  
				catch (IOException e) {}
			}
		}
	}
}
