package org.isakiev.fileManager.tests;

import java.io.File;

class MyFile extends File {
	private String myName;
	private String myFullName;
	private static String mySeparator = "/";
	public MyFile(String name) {
		super(name);
		myName = name;
		myFullName = name;
	}
	public static void setSeparator(String s) {
		mySeparator = s;
	}
	public MyFile(File file, String name) {
		super(name);
		myName = name;
		String parentName = file.getAbsolutePath();
		myFullName = parentName + (parentName.endsWith(mySeparator) ? "":mySeparator) + name;
	}
	
	public String getName() {
		return myName;
	}
	public String getAbsolutePath() {
		return myFullName;
	}
}
