package org.isakiev.fileManager.tests;

import java.util.*;

/**
 * Creates log and provides some actions with it.
 * @author Isakiev Ruslan
 */
class MyLogger {
	
	private ArrayList<String> myLog;
	
	/**
	 * Default constructor.
	 */
	public MyLogger() {
		myLog = new ArrayList<String>();
	}
	
	/**
	 * Adds information to log.
	 * @param record information record
	 */
	public void addRecord(String record) {
		myLog.add(record);
	}
	
	/**
	 * Clears all records in log.
	 */
	public void clear() {
		myLog = new ArrayList<String>();
	}
	
	/**
	 * Checks if there are equal records in log.
	 * @return result of the check
	 */
	public boolean hasEqualRecords() {
		if (myLog.size()<2) 
			return false;
		
		Collections.sort(myLog);
		
		String previous = null;
		boolean first = true;
		for (String current:myLog) {
			if (first) {
				first = false;
			} else if (current.equals(previous)) {
				return true;
			}
			previous = current;
		}
		return false;
	}
	
	public String toString() {
		StringBuffer buffer = new StringBuffer();
		for (String record:myLog) {
			buffer.append(record).append("\n");
		}
		return buffer.toString();
	}
}
