package org.isakiev.fileManager.utils;

import java.io.File;

/**
 * Shows project's statistics.
 * @author Isakiev Ruslan
 */
public class Statistics {

	private static int myJavaFilesNumber;
	private static long myJavaFilesSize;
	private static int myClassFilesNumber;
	
	public static void createStatistics() {
		myJavaFilesNumber = 0;
		myJavaFilesSize = 0;
		myClassFilesNumber = 0;
		String dirName = "org/isakiev/fileManager";
		
		File dir = new File(dirName);
		if (!dir.exists()) {
			System.err.println("Show statistics >> can't find \""+dirName+"\"");
			return;
		}
		addStatisticsRec(dir);
		
		System.out.println("Java files number: " + myJavaFilesNumber);
		System.out.println("Java files size: " + myJavaFilesSize);
		System.out.println("Class files number: " + myClassFilesNumber);
	}
	
	private static void addStatisticsRec(File dir) {
		File[] children = dir.listFiles();
		for (File f:children) {
			if (f.isDirectory()) {
				addStatisticsRec(f);
			} else if (f.getName().endsWith(".java")) {
				myJavaFilesNumber++;
				myJavaFilesSize += f.length();
			} else if (f.getName().endsWith(".class")) {
				myClassFilesNumber++;
			}
		}
	}
	
	
	/**
	 * @param args
	 */
	public static void main(String[] args) {
		createStatistics();
	}

}
